# Class: Option

## Option()

Option represents name-value pair, either directly configurable by the user or some system property.

## Constructor

#### new Option()

Source:
  - becca/entities/option.js, line 11

### Extends

- AbstractEntity

### Members

#### isSynced :boolean

##### Type:

- boolean

Source:
  - becca/entities/option.js, line 24

#### name :string

##### Type:

- string

Source:
  - becca/entities/option.js, line 20

#### utcDateModified :string

##### Type:

- string

Source:
  - becca/entities/option.js, line 26

#### value :string

##### Type:

- string

Source:
  - becca/entities/option.js, line 22

### Methods

#### markAsDeleted(deleteIdopt)

Mark the entity as (soft) deleted. It will be completely erased later. This is a low level method, for notes and branches use `note.deleteNote()` and 'branch.deleteBranch()` instead.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`deleteId` |  | <optional> | null |

Overrides:
  - AbstractEntity#markAsDeleted
Source:
  - becca/entities/abstract_entity.js, line 118

#### save() → {AbstractEntity}

Saves entity - executes SQL, but doesn't commit the transaction on its own

Overrides:
  - AbstractEntity#save
Source:
  - becca/entities/abstract_entity.js, line 73

##### Returns:

Type
  AbstractEntity